uniform int textureX;
uniform int textureY;

varying vec2 neighborhoodTex0;
varying vec2 neighborhoodTex1;
varying vec2 neighborhoodTex2;
varying vec2 neighborhoodTex3;
varying vec2 neighborhoodTex4;

void main(void)
{
   vec2 stepXY=vec2(1.0/float(textureX), 1.0/float(textureY));
   gl_Position = vec4( gl_Vertex.xy, 0.0, 1.0 );
   gl_Position = sign( gl_Position );
   
   // Texture coordinate for screen aligned (in correct range):
   vec2 texCoord = (vec2( gl_Position.x, gl_Position.y ) + vec2( 1.0 ) ) / vec2( 2.0 );

   vec2 t=texCoord-stepXY;


   neighborhoodTex0=vec2(t.x+stepXY.x, t.y+2.0*stepXY.y);
   neighborhoodTex1=vec2(t.x, t.y+stepXY.y);
   neighborhoodTex2=vec2(t.x+stepXY.x, t.y+stepXY.y);
   neighborhoodTex3=vec2(t.x+2.0*stepXY.x, t.y+stepXY.y);
   neighborhoodTex4=vec2(t.x+stepXY.x, t.y);
}